ColumnStatisticsImpl.BinaryStatisticsImpl (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class ColumnStatisticsImpl.BinaryStatisticsImpl

- java.lang.Object
- - org.apache.orc.impl.ColumnStatisticsImpl
  - - org.apache.orc.impl.ColumnStatisticsImpl.BinaryStatisticsImpl

- All Implemented Interfaces:
    BinaryColumnStatistics, ColumnStatistics
  Enclosing class:
    ColumnStatisticsImpl

      protected static final class ColumnStatisticsImpl.BinaryStatisticsImpl
      extends ColumnStatisticsImpl
      implements BinaryColumnStatistics

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.orc.impl.ColumnStatisticsImpl

      `ColumnStatisticsImpl.BinaryStatisticsImpl, ColumnStatisticsImpl.StringStatisticsImpl`

  - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.ColumnStatisticsImpl

      `count`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `long` | `getSum()`
    `int` | `hashCode()`
    `void` | `merge(ColumnStatisticsImpl other)`
    `void` | `reset()`
    `OrcProto.ColumnStatistics.Builder` | `serialize()`
    `String` | `toString()`
    `void` | `updateBinary(byte[] bytes, int offset, int length, int repetitions)`
    `void` | `updateBinary(BytesWritable value)`

    - ### Methods inherited from class org.apache.orc.impl.ColumnStatisticsImpl

      `create, create, deserialize, deserialize, getBytesOnDisk, getNumberOfValues, hasNull, increment, increment, isStatsExists, setNull, updateBoolean, updateByteCount, updateCollectionLength, updateDate, updateDate, updateDecimal, updateDecimal64, updateDouble, updateInteger, updateString, updateString, updateTimestamp, updateTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.orc.ColumnStatistics

      `getBytesOnDisk, getNumberOfValues, hasNull`

- - ### Method Detail

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `ColumnStatisticsImpl`

    - #### updateBinary

          public void updateBinary(BytesWritable value)

      Overrides:
        `updateBinary` in class `ColumnStatisticsImpl`

    - #### updateBinary

          public void updateBinary(byte[] bytes,
                                   int offset,
                                   int length,
                                   int repetitions)

      Overrides:
        `updateBinary` in class `ColumnStatisticsImpl`

    - #### merge

          public void merge(ColumnStatisticsImpl other)

      Overrides:
        `merge` in class `ColumnStatisticsImpl`

    - #### getSum

          public long getSum()

      Specified by:
        `getSum` in interface `BinaryColumnStatistics`

    - #### serialize

          public OrcProto.ColumnStatistics.Builder serialize()

      Overrides:
        `serialize` in class `ColumnStatisticsImpl`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ColumnStatisticsImpl`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ColumnStatisticsImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ColumnStatisticsImpl`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.